/*
    siefs: a virtual filesystem for accessing Siemens mobiles
    Copyright (C) 2003  Dmitry Zakharov (dmitry-z@mail.ru)

    This program can be distributed under the terms of the GNU GPL.
    See the file COPYING.
*/

#ifndef COMM_H
#define COMM_H

int comm_open(char *device);
int comm_setspeed(int h, int speed);
int comm_settimeout(int h, int timeout);
int comm_rx(int h, void *buf, int len);
int comm_tx(int h, void *buf, int len);
int comm_printf(int h, const char *fmt, ...);
int comm_getline(int h, char *buf, int size);
int comm_close(int h);

#endif
